
Smart Proxy - Bug #23931

ERROR -- : Couldn't enable 'dhcp_isc': invalid byte sequence in US-ASCII

06/14/2018 07:18 AM - Han Boetes

Status: New   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After following the manual https://www.theforeman.org/manuals/1.17/index.html#4.3.4DHCP and the isc section I run into the error:

ERROR -- : Couldn't enable 'dhcp_isc': invalid byte sequence in US-ASCII

Please see the attached logfile for details.

History

#1 - 06/14/2018 07:22 AM - Han Boetes

dhcp_isc.yml contents, as per request.

---

:config: /etc/dhcp/dhcpd.conf

:leases: /var/lib/dhcpd/dhcpd.leases

:omapi_port: 7911

:key_name: omapi_key

:key_secret: RmzAoAmQzPAS3ehnSybPWY38Ks7ZuvdVKzMRnxwOl/BbhGDeIUve0TYxNo1hf2uSVEZsokMTUvAuZvxyXkKqmQ==

#2 - 06/14/2018 07:47 AM - Han Boetes

- File proxy.log added

After removing an ü from the dhcpd.conf it started actually parsing the leases file, but still broke down later on with the attached error, which I snipped

bit for brevity and privacy

#3 - 06/14/2018 07:58 AM - Han Boetes

OK, the secondary error was fixed by applying the pull request mentioned here: http://projects.theforeman.org/issues/23433

The initial error remains, the parses failed on an utf8 comment.

#4 - 06/14/2018 09:11 AM - Han Boetes

- File deleted (proxy.log)

#5 - 07/19/2018 03:54 PM - Ewoud Kohl van Wijngaarden

- Triaged set to No

Is this still an issue?

#6 - 07/21/2018 07:56 PM - Han Boetes

The only thing that could change the status would be an update. Has an update been released?

#7 - 10/15/2018 11:34 AM - Tomer Brisker

- Category set to DHCP

- Target version deleted (1.17.2)
Files

proxy.log 8.52 KB 06/14/2018 Han Boetes
